package com.diaoyun.zion.chinafrica.factory;

import com.diaoyun.zion.chinafrica.bis.IItemSpider;
import com.diaoyun.zion.chinafrica.enums.PlatformEnum;
import com.diaoyun.zion.master.util.SpringContextUtil;

import javax.swing.*;

/**
 * 商品爬虫
 */
public class ItemSpiderFactory {

    public static IItemSpider getSpider(PlatformEnum platformEnum) {
        IItemSpider iItemSpider;
        switch (platformEnum.getValue()) {
            // 淘宝
            case "tb":{
                iItemSpider= (IItemSpider) SpringContextUtil.getBean("tbItemSpider");
                break;
            }
            // 天猫
            case "tm":{
                iItemSpider= (IItemSpider) SpringContextUtil.getBean("tmItemSpider");
                break;
            }
            // zara 西班牙快时尚品牌
            case "zara":{
                iItemSpider= (IItemSpider) SpringContextUtil.getBean("zaraSpider");
                break;
            }
            // 优衣库
            case "uniqlo":{
                iItemSpider= (IItemSpider) SpringContextUtil.getBean("uniqloSpider");
                break;
            }
            // Gap 美国休闲品牌
            case "gap":{
                iItemSpider= (IItemSpider) SpringContextUtil.getBean("gapSpider");
                break;
            }
            default:{
                iItemSpider= (IItemSpider) SpringContextUtil.getBean("emptyItemSpider");
                break;
            }
        }
        return iItemSpider;
    }

}
